Name:           perl-Minion
Version:        9.07
Release:        1%{?dist}
Summary:        High performance job queue for the Perl programming language
License:        Artistic 2.0 and MIT and OFL

URL:            https://metacpan.org/release/Minion
Source0:        https://cpan.metacpan.org/authors/id/S/SR/SRI/Minion-%{version}.tar.gz

BuildArch:      noarch
# Build
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Mojo::Base)
BuildRequires:  perl(Mojo::Date)
BuildRequires:  perl(Mojo::EventEmitter)
BuildRequires:  perl(Mojo::File)
BuildRequires:  perl(Mojo::IOLoop)
BuildRequires:  perl(Mojo::JSON)
BuildRequires:  perl(Mojo::Loader)
BuildRequires:  perl(Mojo::Pg)
BuildRequires:  perl(Mojo::Server)
BuildRequires:  perl(Mojo::Util)
BuildRequires:  perl(Mojolicious::Command)
BuildRequires:  perl(Mojolicious::Commands)
BuildRequires:  perl(Mojolicious::Plugin)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Sys::Hostname)
# Tests
BuildRequires:  perl(Mojolicious::Lite)
BuildRequires:  perl(Test::Mojo)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::HiRes)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Minion is a high performance job queue for the Perl programming language,
with support for multiple named queues, priorities, delayed jobs, job
dependencies, job progress, job results, retries with back-off, rate
limiting, unique jobs, statistics, distributed workers, parallel
processing, auto-scaling, remote control, Mojolicious admin UI, resource
leak protection and multiple backends (such as PostgreSQL).

%prep
%setup -q -n Minion-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README.md
%license LICENSE
%{perl_vendorlib}/Minion*
%{perl_vendorlib}/Mojolicious/Plugin/Minion*
%{_mandir}/man3/Minion*
%{_mandir}/man3/Mojolicious::Plugin::Minion*

%changelog
* Sun Oct 21 2018 Emmanuel Seyman <emmanuel@seyman.fr> - 9.07-1
- Update to 9.07

* Sun Sep 23 2018 Emmanuel Seyman <emmanuel@seyman.fr> - 9.06-1
- Update to 9.06

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 9.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 9.03-3
- Perl 5.28 rebuild

* Sat May 19 2018 Emmanuel Seyman <emmanuel@seyman.fr> - 9.03-2
- Take into account review comments (#1578152)

* Mon May 07 2018 Emmanuel Seyman <emmanuel@seyman.fr> - 9.03-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
